> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/data-access/schema/credit-data-order.md).

# Credit Data Orders

credit\_data\_orders - object

A Credit Data Order contains the credit information that was requested by a Consumer.

## Fields

***

`credit_data_orders.order_id` - `UUID!` `non-null`

A globally-unique identifier.

***

`credit_data_orders.order_date` - `Date!` `non-null`

The date the Credit Data Order was requested.

***

`credit_data_orders.order_sku_id` - `UUID!` `non-null` **(currently unavailable)**

The ID of the applied SKU.

***

`credit_data_orders.consumer_id` - `UUID!` `non-null`

The ID of the corresponding Consumer attributes within the Credit Data Order.

***

~~`credit_data_orders.attributes` -`CreditAttributes`~~ ~~`non-null`~~

{% hint style="warning" %}
**Deprecation**

Credit attributes are now only accessed by [credit attributes queries](/reference/data-access/schema/attributes.md)
{% endhint %}

***

`credit_data_orders.collections` - [`[Collection!]!`](/reference/data-access/schema/collections.md) `non-null`

The continuation of debt owed to a Creditor.

***

`credit_data_orders.credit_scores` - [`[Score!]!`](/reference/data-access/schema/score.md) `non-null`

Any form of Credit Score.

***

`credit_data_orders.tradelines` - [`[Tradeline!]!`](/reference/data-access/schema/tradelines.md) `non-null`

The records of activities for any approved credit.

***

`credit_data_orders.inquiries` - [`[Inquiry!]!`](/reference/data-access/schema/inquiries.md) `non-null`

Inquiries that were placed for the Consumer's credit data at some point in time.

***

`credit_data_orders.bankruptcies` - [`[Bankruptcy!]!`](/reference/data-access/schema/bankruptcies.md) `non-null`

Conditions where an Account has had a Bankruptcy before.

***

`credit_data_orders.mla_statuses` - [`[MLAStatus!]!`](/reference/data-access/schema/mla-status.md) `non-null`\
The details of the MLA status.

***

`credit_data_orders.ofac_statuses` - [`[OFACStatus!]!`](/reference/data-access/schema/ofac-status.md) `non-null`\
The details of the OFAC status.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/data-access/schema/credit-data-order.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
